#!/usr/bin/env python
# coding: utf-8

# # Python基础语法

# ## 变量定义，输出输入， 注释

# 变量名不能以数字开头，中间不能有空格

# In[3]:


x1 = 20


# In[4]:


x1


# In[5]:


2x = 30


# In[6]:


名字 = 30


# In[7]:


名字


# In[8]:


print('hello world')


# In[9]:


print(x1)


# In[10]:


name = input('your name:')


# In[12]:


name


# In[13]:


# 注释

x3 = 50


# ## 数值类型及运算

# ### 数值类型

# In[14]:


# 整数
type(89)


# In[15]:


# 浮点数
type(2.5)


# In[16]:


# 布尔数bool
type(False)


# In[17]:


type(True)


# ### 运算

# In[18]:


1+2


# In[19]:


2- 4


# In[20]:


5/6


# In[21]:


7*8


# In[22]:


# 取余数
8%3


# In[23]:


# 取商的整数部分
8//3


# In[24]:


# 函数
import math


# In[25]:


2**5


# In[26]:


math.pow(2,5)


# In[27]:


2**0.5


# In[28]:


math.log10(100)


# In[29]:


3**2


# $$\frac{\sin(25)}{\sqrt{60\pi}}$$

# In[30]:


math.sin(25)/math.sqrt(60*math.pi)


# ## 复合数据结构

# In[ ]:





# ## 流程控制（循环，判断）

# $$1+2+3+...+100=\sum_{i=1}^{100}i =?$$

# In[31]:


range(1,5) # 1,2,3,4


# In[32]:


list(range(1,5))


# In[33]:


for i in range(1,5):
    print(i)


# In[38]:


s = 0
for i in range(1,101):
    #print(i,s)
    s = s + i
    #print(s)
    #print('------')
s 


# $$\sum_{i=1}^{100} i^3 = ?$$

# In[39]:


s = 0
for i in range(1,101):
    #print(i,s)
    s = s + i**3
    #print(s)
    #print('------')
s 


# $$\sum_{i=1}^{10} (2i-1)=?$$

# In[41]:


s = 0
for i in range(1,11):
    #print(i,s)
    s = s + 2*i-1
    #print(s)
    #print('------')
s 


# ## 函数

# In[42]:


def myfunc(x):
    return 2*x+5


# In[43]:


myfunc(10)


# In[44]:


def yuhan(x):
    return -7


# In[45]:


yuhan(200)


# In[46]:


def xuanyu(x):
    return math.log2(1)


# In[47]:


xuanyu(20)


# In[48]:


def jingxuan(x):
    return (2*x+5)**0.5


# In[49]:


jingxuan(3)


# In[51]:


print('aaaa\n')
print('bbb')


# In[52]:


print('aaaa')
print()
print('bbb')


# $$\sqrt{20}$$

# In[53]:


import math


# In[54]:


def fib(n):
    if n == 1 or n == 2:
        return 1
    else:
        return fib(n-1)+fib(n-2)


# In[55]:


fib(5)


# In[57]:


fib(6)


# In[59]:


s = 0
for i in range(1,11):
    s = s + fib(i)
s


# $$z = x^2+2y$$

# In[60]:


def func(x,y):
    return x**2+2*y


# In[61]:


func(1,2)


# In[ ]:




